function traitement_connexion(retour)
{	 
		
	if(retour == 0)
	{  	
		//var statut = document.getElementById("valide_login").value;
	    //alert(statut);
	
		//&eacute;
	    alert('Votre session a expiré. Il faut se relogger');
        document.location.href = "logout_expire.php";
	
		//document.location.href = elem[1];
		
	}
	
	if(retour == 1)
	{   
		// alert('Votre session a expiré. Il faut se relogger');
        // document.location = "fermeture.php"
		var nada = 555;
	}

	
}	 

function getXhr()
{
                var xhr = null; 
				if(window.XMLHttpRequest) // Firefox et autres
				   xhr = new XMLHttpRequest(); 
				else if(window.ActiveXObject){ // Internet Explorer 
				   try {
			                xhr = new ActiveXObject("Msxml2.XMLHTTP");
			            } catch (e) {
			                xhr = new ActiveXObject("Microsoft.XMLHTTP");
			            }
				}
				else { // XMLHttpRequest non supporté par le navigateur 
				   alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
				   xhr = false; 
				} 
				
                return xhr
}

function ajax_routine()
{
				var xhr = getXhr()
				// On défini ce qu'on va faire quand on aura la réponse
				xhr.onreadystatechange = function(){
					// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
					if(xhr.readyState == 4 && xhr.status == 200){
						//alert(xhr.responseText);
						traitement_connexion(xhr.responseText);
						//xhr_object.responseText
					}
				}
					
				xhr.open("GET","session_timeout.php",true);
				xhr.send(null);
}
